package com.jeeplus.test.cw.reportCancellApply.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.cw.projectReport.domain.CwProjectReportData;
import com.jeeplus.test.cw.reportCancellApply.domain.ReportCancellApply;
import com.jeeplus.test.cw.reportCancellApply.service.dto.ReportInfoDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 报告文号报废mapper
 * @author: 王强
 * @create: 2022-11-18 17:35
 **/
@Mapper
public interface ReportCancellApplyMapper extends BaseMapper<ReportCancellApply> {

    /**
     * 查询报告数据集合
     * @param page
     * @param queryWrapper
     * @return
     */
    IPage<ReportInfoDto> getList(Page<ReportInfoDto> page, @Param(Constants.WRAPPER) QueryWrapper<ReportInfoDto> queryWrapper);

    ReportInfoDto queryById(@Param("id") String id);

    /**
     * 查询报告数据集合
     * @param page
     * @param queryWrapper
     * @return
     */
    IPage<ReportInfoDto> findList(Page<ReportInfoDto> page, @Param(Constants.WRAPPER) QueryWrapper<ReportInfoDto> queryWrapper);

    ReportCancellApply selectByArchivedId(String id);
}
