package com.jeeplus.test.materialManagement.collect.service.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.test.materialManagement.collect.domain.CollectDetailed;
import com.jeeplus.test.oss.domain.WorkAttachment;
import com.jeeplus.test.workContract.service.dto.WorkAttachmentDto;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author: 王强
 * @create: 2023-01-04 14:58
 **/
@Data
public class CollectDto {

    /**
     * 管理员修改标记
     */
    private String sign;

    /**
     * 备注
     */
    private String remarks;

    private String createBy;

    //领用编号（字典值）
    public static final String BIZ_CODE = "29";

    /**
     * 基础表主键值
     */
    private String id;

    /**
     * 领用物品名称
     */
    private String goodsName;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     * 状态
     */
    private String status;

    private String processDefinitionId;

    /**
     * 领用编号
     */
    private String collectNo;

    /**
     * 领用时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date collectDate;

    /**
     * 领用时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String[] collectDates;

    /**
     * 经办人
     */
    private String handledBy;

    /**
     * 经办人id
     */
    private String handledById;

    /**
     * 经办人名称
     */
    private String handledByName;

    /**
     * 经办人部门
     */
    private String handledByOffice;

    /**
     *经办人部门名称
     */
    private String handledByOfficeName;

    private List<WorkAttachmentDto> files;

    //附件信息
    List<WorkAttachment> fileInfoLost;

    //新增信息
    List<CollectDetailed> detailInfos;
}
