package com.jeeplus.test.materialManagement.purchase.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.test.workContract.service.dto.WorkAttachmentDto;
import lombok.Data;

import java.util.List;

/**
 * 采购明细表
 * @author: 王强
 * @create: 2022-12-02 16:46
 **/
@Data
@TableName("material_management_pruchase_request_detailed")
public class MaterialDetailed extends BaseEntity {

    /**
     * 采购基础表id
     */
    private String basicId;

    /**
     * 采购人
     */
    private String purchaserAgent;

    /**
     * 采购人id
     */
    @TableField(exist = false)
    private String purchaserAgentId;

    /**
     * 采购部门
     */
    @TableField(exist = false)
    private String procurementOffice;

    /**
     * 采购类型
     */
    private String procurementType;

    /**
     * 采购类型id
     */
    @TableField(exist = false)
    private String procurementTypeId;

    /**
     * 商品名称
     */
    private String tradeName;

    /**
     * 商品单价
     */
    private String tradePrice;

    /**
     * 商品数量
     */
    private String tradeNumber;

    /**
     * 单位
     */
    private String company;

    /**
     * 商品总价
     */
    private String tradeTotalPrice;

    //附件信息
    @TableField(exist = false)
    List<WorkAttachmentDto> fileInfoLost;

    /**
     * 备注
     */
    private String remarks;
}
