package com.jeeplus.test.materialManagement.wareHouse.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.test.workContract.service.dto.WorkAttachmentDto;
import lombok.Data;

import java.util.List;

/**
 * 入库明细表
 * @author: 王强
 * @create: 2022-12-29 15:53
 **/
@Data
@TableName("material_management_warehouse_detailed")
public class WareHouseDetailed extends BaseEntity {

    /**
     * 入库基础表id
     */
    private String basicId;

    /**
     * 入库人
     */
    private String wareHouseMan;

    /**
     * 入库人id
     */
    @TableField(exist = false)
    private String wareHouseManId;

    /**
     * 入库人部门
     */
    @TableField(exist = false)
    private String wareHouseManOffice;

    /**
     * 入库类型
     */
    private String wareHouseType;

    /**
     * 入库类型id
     */
    @TableField(exist = false)
    private String wareHouseTypeId;

    /**
     * 商品名称
     */
    private String tradeName;

    /**
     * 商品单价
     */
    private String tradePrice;

    /**
     * 商品数量
     */
    private String tradeNumber;

    /**
     * 单位
     */
    private String company;

    /**
     * 商品总价
     */
    private String tradeTotalPrice;

    //附件信息
    @TableField(exist = false)
    List<WorkAttachmentDto> fileInfoLost;

    /**
     * 备注
     */
    private String remarks;
}
